﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v17.1, Version=17.1.20171.1008, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<%@ Register assembly="Infragistics4.Web.v17.1, Version=17.1.20171.1008, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" namespace="Infragistics.Web.UI.LayoutControls" tagprefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script src="https://code.jquery.com/jquery-1.12.4.js"
			  integrity="sha256-Qw82+bXyGq6MydymqBxNPYTaUXXq7c8v3CwiYwLLNXU="
			  crossorigin="anonymous"></script>
    <script>
        $(document).ready(function () {
            $("#completeAllButton").on("click", function (e) {
                e.preventDefault();
                var rows = $find("WebDataGrid1").get_rows();
                var rowsLength = rows.get_length();
                for (var i = 0; i < rowsLength; i++) {
                    var row = rows.get_row(i);
                    var cell = row.get_cellByColumnKey("TemplateField_Status");
                    var cellElement = cell.get_element();
                    $(cellElement).find("input[value='Complete']").prop("checked", true);
                }
            })
        });
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <ig:WebDataGrid ID="WebDataGrid1" runat="server" Height="650px" Width="900px" AutoGenerateColumns="False" DataSourceID="SqlDataSource1">
            <Columns>                
                <ig:BoundDataField DataFieldName="ProductID" Key="ProductID">
                    <Header Text="ProductID">
                    </Header>
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="ProductName" Key="ProductName">
                    <Header Text="ProductName">
                    </Header>
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="UnitPrice" Key="UnitPrice">
                    <Header Text="UnitPrice">
                    </Header>
                </ig:BoundDataField>
                <ig:BoundCheckBoxField DataFieldName="Discontinued" Key="Discontinued">
                    <Header Text="Discontinued">
                    </Header>
                </ig:BoundCheckBoxField>
                <ig:TemplateDataField Key="TemplateField_Status">
                   <Header Text="Status">
                   </Header>
                   <ItemTemplate>
                      <asp:RadioButtonList ID="rblStatus" runat="server" RepeatDirection="Horizontal">
                         <asp:ListItem Selected="True" style="padding-right:25px;">Exclude Time</asp:ListItem>
                         <asp:ListItem style="padding-right:25px;">Stop</asp:ListItem>
                         <asp:ListItem>Complete</asp:ListItem>
                      </asp:RadioButtonList>
                   </ItemTemplate>
                 </ig:TemplateDataField>
            </Columns>
            <Behaviors>
                <ig:Activation Enabled="true"></ig:Activation>
                <ig:Paging PageSize="20">
                </ig:Paging>
                <ig:Filtering>
                </ig:Filtering>
                <ig:Sorting>
                </ig:Sorting>
            </Behaviors>
        </ig:WebDataGrid>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            ProviderName="<%$ ConnectionStrings:ConnectionString.ProviderName %>" 
            SelectCommand="SELECT [ProductID], [ProductName], [UnitPrice], [Discontinued] FROM [Products]" DeleteCommand="DELETE FROM [Products] WHERE [ProductID] = ?" InsertCommand="INSERT INTO [Products] ([ProductID], [ProductName], [UnitPrice], [Discontinued]) VALUES (?, ?, ?, ?)" UpdateCommand="UPDATE [Products] SET [ProductName] = ?, [UnitPrice] = ?, [Discontinued] = ? WHERE [ProductID] = ?">
            <DeleteParameters>
                <asp:Parameter Name="ProductID" Type="Int32" />
            </DeleteParameters>
            <InsertParameters>
                <asp:Parameter Name="ProductID" Type="Int32" />
                <asp:Parameter Name="ProductName" Type="String" />
                <asp:Parameter Name="UnitPrice" Type="Decimal" />
                <asp:Parameter Name="Discontinued" Type="Boolean" />
            </InsertParameters>
            <UpdateParameters>
                <asp:Parameter Name="ProductName" Type="String" />
                <asp:Parameter Name="UnitPrice" Type="Decimal" />
                <asp:Parameter Name="Discontinued" Type="Boolean" />
                <asp:Parameter Name="ProductID" Type="Int32" />
            </UpdateParameters>
        </asp:SqlDataSource>
        <button id="completeAllButton">Complete ALL</button>
    </div>
    </form>
</body>
</html>
